#pragma once

/*!
	マネージャ管理インタフェース
*/
class IManagerInterface
{
public:
	//!	インタフェース取得
	virtual void *GetInterface(int ifVersion) = 0;

	//!	オーバーロード通知
	virtual void NotifyOverload() = 0;
};
//!	ポインタ型
typedef IManagerInterface* IManagerInterfacePtr;